Skip to main content
`Ctrl`+`K`

# STPrecondGetKSPHasMat

Returns the flag indicating if the coefficient matrix of the `KSP` linear system (`Amat`) is set to be the same matrix as the preconditioner (`Pmat`).

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STPrecondGetKSPHasMat(ST st,PetscBool *ksphasmat)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameter

- ksphasmat - the flag

## See Also

ST: Spectral Transformation, `STPRECOND`, `STPrecondSetKSPHasMat()`, `STSetShift()`

## Level

developer

## Location

src/sys/classes/st/impls/precond/precond.c

## Examples

src/eps/tutorials/ex24.c

## Implementations

STPrecondGetKSPHasMat_Precond() in src/sys/classes/st/impls/precond/precond.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages